﻿@model IContentBlockViewModel<SliderSection>


<div class="animation-anchor s3"></div>
<section class="slider-section">
    <div class="slider-section__container simple">
        @if (Model.Content.SliderImages != null && Model.Content.SliderImages.Any())
        {
            <div class="slider-container">
                <div class="section-img-l-board" id="slider-img-bord-left"></div>
                <div class="section-img-r-board" id="slider-img-bord-right"></div>
                <div class="section-img-t-board" id="slider-img-bord-top"></div>

                <div id="slider" class="slider">
                    @foreach (var sliderItem in Model.Content.SliderImages)
                    {
                        <div>
                            <img src="@sliderItem.Url" alt="@RazorHelpers.GetAltText(sliderItem.Value<string>("altText"), Model.Content.Heading)">
                        </div>
                    }
                </div>
                <div class="slider-control" id="control-slider">
                    <button type="button" class="slick-prev">
                        <span data-jam="chevron-left" data-fill="#000" data-width="30px" data-height="30px" style="font-size:30px;">◁</span>
                    </button>
                    <div class="counter-slider">
                        <span class="c-slide" id="cSlide"></span>/<span id="aSlides" class="a-slides"></span>
                    </div>
                    <button type="button" class="slick-next">
                        <span data-jam="chevron-right" data-fill="#000" data-width="30px" data-height="30px" style="font-size:30px;">▷</span>
                    </button>
                </div>
            </div>
        }

        <div class="sub-content-slider">
            <div class="slider-section__text" id="slider-text">
                <h2 class="section-title">@Model.Content.Heading</h2>
                <h4 class="section-sub-title">@Model.Content.SubHeading</h4>
                <div class="description-text">@Html.Raw(Model.Content.Text)</div>
                @if (Model.Content.Links != null && Model.Content.Links.Any())
                {
                    foreach (var link in Model.Content.Links)
                    {
                        <a href="@link.Url" target="@link.Target" class="btn">
                            <span>@link.Name</span>
                            <svg width="13px" height="10px" viewBox="0 0 13 10">
                                <path d="M1,5 L11,5"></path>
                                <polyline points="8 1 12 5 8 9"></polyline>
                            </svg>
                        </a>
                    }
                }   
            </div>
        </div>
    </div>
</section>
